%global npmname rimraf
%global npminstdir /usr/lib/node_modules/%{npmname}
%global deplist graceful-fs

Summary: A deep deletion module for node 
Name: nodejs-%{npmname}
Version: 2.0.2
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/isaacs/rimraf
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Requires: nodejs-graceful-fs >= 1.1
Provides: nodejs-%{npmname} = %{version}

%description
A deep deletion module for node (like `rm -rf`)

%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr rimraf.js package.json %{buildroot}/%{npminstdir}

# Setup the dependancies
cd %{buildroot}/%{npminstdir}
mkdir node_modules
for depend in %{deplist}
do
  ln -s /usr/lib/node_modules/$depend node_modules/$depend
done

# Setup Binaries

%files
%doc LICENSE README.md AUTHORS
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 2.0.2-1
- Initial build using nodejs spec template

